Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
nach emerge -uaDvN world -- pyhton sachen....
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
pieter_parker
Veteran
Veteran


Joined: 07 Aug 2006
Posts: 1488
Location: 127.0.0.1

PostPosted: Sun Jun 06, 2010 11:30 pm    Post subject: nach emerge -uaDvN world -- pyhton sachen.... Reply with quote

hab vorhin ein emerge --sync gefolgt von einem emerge -uaDvN world gemacht
nach dem bauen bei den messages stand dann das hier
Code:
 * Messages for package dev-lang/python-3.1.2-r3:

 *
 * WARNING!
 * Many Python modules have not been ported yet to Python 3.*.
 * Python 3 has not been activated and Python wrapper is still configured to use Python 2.
 * You can manually activate Python 3.1 using `eselect python set python3.1`.
 * It is recommended to currently have Python wrapper configured to use Python 2.
 * Having Python wrapper configured to use Python 3 is unsupported.
 *
 *
 * ************************************************************************
 *
 * You have just upgraded from an older version of Python.
 * You should run 'python-updater ${options}' to rebuild Python modules.
 *
 * ************************************************************************
 *

und ich bin nun etwas unsicher was a. emerge von mir will und b. was ich nun am besten tun sollte
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3655
Location: Germany

PostPosted: Mon Jun 07, 2010 12:45 am    Post subject: Reply with quote

Quote:
You should run 'python-updater
mehr ist da idR dann erst mal nicht nötig,
also
Code:
# python-updater
ausführen, es wird dann überprüft für welche schon installierten Pakete neue python Module neu gebaut werden müssen,
die ermittelten Pakete werden dann neu gebaut.
Back to top
View user's profile Send private message
pieter_parker
Veteran
Veteran


Joined: 07 Aug 2006
Posts: 1488
Location: 127.0.0.1

PostPosted: Mon Jun 07, 2010 1:16 am    Post subject: Reply with quote

die sternchen um die meldung waren rot - richtig rot !
und rot ist nie eine gut farbe (verkehrsampeln z.b.)
und dann auch noch sterne die rot sind ....

Code:
python-updater
 * Starting Python Updater...
 * Main active version of Python:  2.6
 * Active version of Python 2:     2.6
 * Active version of Python 3:     3.1
 * No packages need to be reinstalled.

oke, dann war das wohl alles...
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Mon Jun 07, 2010 12:13 pm    Post subject: Reply with quote

Die Meldung soll dir sagen, dass nun zwar Python 3 installiert ist, du aber eine Python 2 Version als "Hauptversion" setzen sollst, da es nur wenige Module gibt, die Python3 unterstützen.
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
pieter_parker
Veteran
Veteran


Joined: 07 Aug 2006
Posts: 1488
Location: 127.0.0.1

PostPosted: Wed Jun 09, 2010 11:19 am    Post subject: Reply with quote

wie setze ich eine phyton 2 hauptversion ?
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Wed Jun 09, 2010 12:03 pm    Post subject: Reply with quote

eselect python ... also zB eselect python set python2.6
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum